# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{simp-cli}
  s.version = "3.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Trevor Vaughan", "Chris Tessmer", "Kendall Moore", "Nick Markowski", "Adam Yohrling", "Morgan Haskel"]
  s.date = %q{2017-03-20}
  s.default_executable = %q{simp}
  s.description = %q{    simp-cli provides the 'simp' command to configure and manage SIMP.
}
  s.email = %q{simp@simp-project.org}
  s.executables = ["simp"]
  s.files = ["LICENSE", "README.md", "Rakefile", "bin/simp", "lib/simp/cli.rb", "lib/simp/cli/commands/bootstrap.rb", "lib/simp/cli/commands/config.rb", "lib/simp/cli/commands/doc.rb", "lib/simp/cli/commands/passgen.rb", "lib/simp/cli/config/errors.rb", "lib/simp/cli/config/item_list_factory.rb", "lib/simp/cli/config/items.rb", "lib/simp/cli/config/items/action/add_ldap_server_class_to_server_action.rb", "lib/simp/cli/config/items/action/add_puppet_hosts_entry_action.rb", "lib/simp/cli/config/items/action/add_yum_server_class_to_server_action.rb", "lib/simp/cli/config/items/action/answers_yaml_file_writer.rb", "lib/simp/cli/config/items/action/check_remote_yum_config_action.rb", "lib/simp/cli/config/items/action/configure_network_action.rb", "lib/simp/cli/config/items/action/copy_simp_to_environments_action.rb", "lib/simp/cli/config/items/action/create_simp_server_fqdn_yaml_action.rb", "lib/simp/cli/config/items/action/enable_os_and_simp_yum_repos_action.rb", "lib/simp/cli/config/items/action/generate_certificates_action.rb", "lib/simp/cli/config/items/action/hieradata_yaml_file_writer.rb", "lib/simp/cli/config/items/action/set_grub_password_action.rb", "lib/simp/cli/config/items/action/set_hostname_action.rb", "lib/simp/cli/config/items/action/set_production_to_simp_action.rb", "lib/simp/cli/config/items/action/set_puppet_digest_algorithm_action.rb", "lib/simp/cli/config/items/action/set_server_ldap_server_config_action.rb", "lib/simp/cli/config/items/action/set_server_puppetdb_master_config_action.rb", "lib/simp/cli/config/items/action/set_site_scenario_action.rb", "lib/simp/cli/config/items/action/set_up_puppet_autosign_action.rb", "lib/simp/cli/config/items/action/update_os_yum_repositories_action.rb", "lib/simp/cli/config/items/action/update_puppet_conf_action.rb", "lib/simp/cli/config/items/action_item.rb", "lib/simp/cli/config/items/add_server_class_action_item.rb", "lib/simp/cli/config/items/data/cli_has_local_yum_repos.rb", "lib/simp/cli/config/items/data/cli_is_ldap_server.rb", "lib/simp/cli/config/items/data/cli_is_simp_environment_installed.rb", "lib/simp/cli/config/items/data/cli_log_servers_specified.rb", "lib/simp/cli/config/items/data/cli_network_dhcp.rb", "lib/simp/cli/config/items/data/cli_network_gateway.rb", "lib/simp/cli/config/items/data/cli_network_hostname.rb", "lib/simp/cli/config/items/data/cli_network_interface.rb", "lib/simp/cli/config/items/data/cli_network_ipaddress.rb", "lib/simp/cli/config/items/data/cli_network_netmask.rb", "lib/simp/cli/config/items/data/cli_network_set_up_nic.rb", "lib/simp/cli/config/items/data/cli_puppet_server_ip.rb", "lib/simp/cli/config/items/data/cli_set_grub_password.rb", "lib/simp/cli/config/items/data/cli_set_production_to_simp.rb", "lib/simp/cli/config/items/data/cli_simp_scenario.rb", "lib/simp/cli/config/items/data/grub_password.rb", "lib/simp/cli/config/items/data/puppetdb_master_config_puppetdb_port.rb", "lib/simp/cli/config/items/data/puppetdb_master_config_puppetdb_server.rb", "lib/simp/cli/config/items/data/simp_openldap_server_conf_rootpw.rb", "lib/simp/cli/config/items/data/simp_options_dns_search.rb", "lib/simp/cli/config/items/data/simp_options_dns_servers.rb", "lib/simp/cli/config/items/data/simp_options_fips.rb", "lib/simp/cli/config/items/data/simp_options_ldap.rb", "lib/simp/cli/config/items/data/simp_options_ldap_base_dn.rb", "lib/simp/cli/config/items/data/simp_options_ldap_bind_dn.rb", "lib/simp/cli/config/items/data/simp_options_ldap_bind_hash.rb", "lib/simp/cli/config/items/data/simp_options_ldap_bind_pw.rb", "lib/simp/cli/config/items/data/simp_options_ldap_master.rb", "lib/simp/cli/config/items/data/simp_options_ldap_root_dn.rb", "lib/simp/cli/config/items/data/simp_options_ldap_sync_dn.rb", "lib/simp/cli/config/items/data/simp_options_ldap_sync_hash.rb", "lib/simp/cli/config/items/data/simp_options_ldap_sync_pw.rb", "lib/simp/cli/config/items/data/simp_options_ldap_uri.rb", "lib/simp/cli/config/items/data/simp_options_ntp_servers.rb", "lib/simp/cli/config/items/data/simp_options_puppet_ca.rb", "lib/simp/cli/config/items/data/simp_options_puppet_ca_port.rb", "lib/simp/cli/config/items/data/simp_options_puppet_server.rb", "lib/simp/cli/config/items/data/simp_options_sssd.rb", "lib/simp/cli/config/items/data/simp_options_syslog_failover_log_servers.rb", "lib/simp/cli/config/items/data/simp_options_syslog_log_servers.rb", "lib/simp/cli/config/items/data/simp_options_trusted_nets.rb", "lib/simp/cli/config/items/data/simp_run_level.rb", "lib/simp/cli/config/items/data/simp_yum_enable_os_repos.rb", "lib/simp/cli/config/items/data/simp_yum_enable_simp_repos.rb", "lib/simp/cli/config/items/data/simp_yum_os_update_url.rb", "lib/simp/cli/config/items/data/simp_yum_servers.rb", "lib/simp/cli/config/items/data/simp_yum_simp_update_url.rb", "lib/simp/cli/config/items/data/sssd_domains.rb", "lib/simp/cli/config/items/integer_item.rb", "lib/simp/cli/config/items/item.rb", "lib/simp/cli/config/items/list_item.rb", "lib/simp/cli/config/items/password_item.rb", "lib/simp/cli/config/items/set_server_hieradata_action_item.rb", "lib/simp/cli/config/items/yes_no_item.rb", "lib/simp/cli/config/logging.rb", "lib/simp/cli/config/questionnaire.rb", "lib/simp/cli/config/utils.rb", "lib/simp/cli/defaults.rb", "lib/simp/cli/lib/utils.rb", "lib/simp/cli/version.rb", "spec/bin/files/simp_config_full_stdin_file", "spec/bin/files/simp_config_trunc_stdin_file", "spec/bin/simp_spec.rb", "spec/lib/simp/cli/commands/config_spec.rb", "spec/lib/simp/cli/commands/files/bad_simp_conf.yaml", "spec/lib/simp/cli/commands/files/environments/simp/hieradata/scenarios/poss.yaml", "spec/lib/simp/cli/commands/files/environments/simp/hieradata/scenarios/simp.yaml", "spec/lib/simp/cli/commands/files/environments/simp/hieradata/scenarios/simp_lite.yaml", "spec/lib/simp/cli/commands/files/environments/simp/manifests/site.pp", "spec/lib/simp/cli/commands/files/prev_simp_conf.yaml", "spec/lib/simp/cli/commands/files/simp_conf_accepting_defaults_simp_scenario.yaml", "spec/lib/simp/cli/commands/files/simp_conf_setting_values_poss_scenario.yaml", "spec/lib/simp/cli/commands/files/simp_conf_setting_values_simp_lite_scenario.yaml", "spec/lib/simp/cli/commands/files/simp_conf_with_overrides.yaml", "spec/lib/simp/cli/commands/passgen_spec.rb", "spec/lib/simp/cli/config/items/action/add_ldap_server_class_to_server_action_spec.rb", "spec/lib/simp/cli/config/items/action/add_puppet_hosts_entry_action_spec.rb", "spec/lib/simp/cli/config/items/action/add_yum_server_class_to_server_action_spec.rb", "spec/lib/simp/cli/config/items/action/answers_yaml_file_writer_spec.rb", "spec/lib/simp/cli/config/items/action/check_remote_yum_config_action_spec.rb", "spec/lib/simp/cli/config/items/action/configure_network_action_spec.rb", "spec/lib/simp/cli/config/items/action/copy_simp_to_environments_action_spec.rb", "spec/lib/simp/cli/config/items/action/create_simp_server_fqdn_yaml_action_spec.rb", "spec/lib/simp/cli/config/items/action/enable_os_and_simp_yum_repos_action_spec.rb", "spec/lib/simp/cli/config/items/action/files/FakeCA/cacertkey", "spec/lib/simp/cli/config/items/action/files/FakeCA/gencerts_nopass.sh", "spec/lib/simp/cli/config/items/action/files/answers_yaml_file_writer.yaml", "spec/lib/simp/cli/config/items/action/files/autosign.conf.new", "spec/lib/simp/cli/config/items/action/files/autosign.conf.new_updated", "spec/lib/simp/cli/config/items/action/files/autosign.conf.used", "spec/lib/simp/cli/config/items/action/files/autosign.conf.used_updated", "spec/lib/simp/cli/config/items/action/files/bad_site.pp", "spec/lib/simp/cli/config/items/action/files/hieradata_yaml_file_writer.yaml", "spec/lib/simp/cli/config/items/action/files/host_with_enable_repos_added.yaml", "spec/lib/simp/cli/config/items/action/files/host_with_enable_repos_replaced.yaml", "spec/lib/simp/cli/config/items/action/files/host_with_ldap_server_config_added.yaml", "spec/lib/simp/cli/config/items/action/files/host_with_ldap_server_config_replaced.yaml", "spec/lib/simp/cli/config/items/action/files/host_with_puppetdb_config_added.yaml", "spec/lib/simp/cli/config/items/action/files/host_with_puppetdb_config_replaced.yaml", "spec/lib/simp/cli/config/items/action/files/host_with_simp_server_ldap.yaml", "spec/lib/simp/cli/config/items/action/files/host_with_simp_server_rsync_shares.yaml", "spec/lib/simp/cli/config/items/action/files/host_with_simp_server_yum.yaml", "spec/lib/simp/cli/config/items/action/files/host_without_enable_repos.yaml", "spec/lib/simp/cli/config/items/action/files/hosts", "spec/lib/simp/cli/config/items/action/files/hosts.old_puppet_entry", "spec/lib/simp/cli/config/items/action/files/puppet.conf", "spec/lib/simp/cli/config/items/action/files/puppet.your.domain.yaml", "spec/lib/simp/cli/config/items/action/files/rsyncd.conf", "spec/lib/simp/cli/config/items/action/files/simp_adapter/mock_simp_rpm_helper.rb", "spec/lib/simp/cli/config/items/action/files/site_with_simp_scenario.pp", "spec/lib/simp/cli/config/items/action/generate_certificates_action_spec.rb", "spec/lib/simp/cli/config/items/action/hieradata_yaml_file_writer_spec.rb", "spec/lib/simp/cli/config/items/action/set_grub_password_action_spec.rb", "spec/lib/simp/cli/config/items/action/set_hostname_action_spec.rb", "spec/lib/simp/cli/config/items/action/set_production_to_simp_action_spec.rb", "spec/lib/simp/cli/config/items/action/set_puppet_digest_algorithm_action_spec.rb", "spec/lib/simp/cli/config/items/action/set_server_ldap_server_config_action_spec.rb", "spec/lib/simp/cli/config/items/action/set_server_puppetdb_master_config_action_spec.rb", "spec/lib/simp/cli/config/items/action/set_site_scenario_action_spec.rb", "spec/lib/simp/cli/config/items/action/set_up_puppet_autosign_action_spec.rb", "spec/lib/simp/cli/config/items/action/update_os_yum_repositories_action_spec.rb", "spec/lib/simp/cli/config/items/action/update_puppet_conf_action_spec.rb", "spec/lib/simp/cli/config/items/action_item_spec.rb", "spec/lib/simp/cli/config/items/data/cli_has_local_yum_repos_spec.rb", "spec/lib/simp/cli/config/items/data/cli_is_ldap_server_spec.rb", "spec/lib/simp/cli/config/items/data/cli_is_simp_environment_installed_spec.rb", "spec/lib/simp/cli/config/items/data/cli_log_servers_specified_spec.rb", "spec/lib/simp/cli/config/items/data/cli_network_dhcp_spec.rb", "spec/lib/simp/cli/config/items/data/cli_network_gateway_spec.rb", "spec/lib/simp/cli/config/items/data/cli_network_hostname_spec.rb", "spec/lib/simp/cli/config/items/data/cli_network_interface_spec.rb", "spec/lib/simp/cli/config/items/data/cli_network_ipaddress_spec.rb", "spec/lib/simp/cli/config/items/data/cli_network_netmask_spec.rb", "spec/lib/simp/cli/config/items/data/cli_network_set_up_nic_spec.rb", "spec/lib/simp/cli/config/items/data/cli_puppet_server_ip_spec.rb", "spec/lib/simp/cli/config/items/data/cli_set_grub_password_spec.rb", "spec/lib/simp/cli/config/items/data/cli_set_production_to_simp_spec.rb", "spec/lib/simp/cli/config/items/data/cli_simp_scenario_spec.rb", "spec/lib/simp/cli/config/items/data/files/resolv.conf__multiple", "spec/lib/simp/cli/config/items/data/files/resolv.conf__single", "spec/lib/simp/cli/config/items/data/grub_password_spec.rb", "spec/lib/simp/cli/config/items/data/puppetdb_master_config_puppetdb_port_spec.rb", "spec/lib/simp/cli/config/items/data/puppetdb_master_config_puppetdb_server_spec.rb", "spec/lib/simp/cli/config/items/data/simp_openldap_server_conf_rootpw_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_dns_search_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_dns_servers_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_fips_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_ldap_base_dn_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_ldap_bind_dn_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_ldap_bind_hash_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_ldap_bind_pw_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_ldap_master_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_ldap_root_dn_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_ldap_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_ldap_sync_dn_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_ldap_sync_hash_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_ldap_sync_pw_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_ldap_uri_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_ntp_servers_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_puppet_ca_port_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_puppet_ca_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_puppet_server_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_sssd_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_syslog_failover_log_servers_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_syslog_log_servers_spec.rb", "spec/lib/simp/cli/config/items/data/simp_options_trusted_nets_spec.rb", "spec/lib/simp/cli/config/items/data/simp_run_level_spec.rb", "spec/lib/simp/cli/config/items/data/simp_yum_enable_os_repos_spec.rb", "spec/lib/simp/cli/config/items/data/simp_yum_enable_simp_repos_spec.rb", "spec/lib/simp/cli/config/items/data/simp_yum_os_update_url_spec.rb", "spec/lib/simp/cli/config/items/data/simp_yum_servers_spec.rb", "spec/lib/simp/cli/config/items/data/simp_yum_simp_update_url_spec.rb", "spec/lib/simp/cli/config/items/data/sssd_domains_spec.rb", "spec/lib/simp/cli/config/items/item_spec.rb", "spec/lib/simp/cli/config/items/list_item_spec.rb", "spec/lib/simp/cli/config/items/password_item_spec.rb", "spec/lib/simp/cli/config/items/spec_helper.rb", "spec/lib/simp/cli/config/logging_spec.rb", "spec/lib/simp/cli/config/utils_spec.rb", "spec/lib/simp/cli_spec.rb", "spec/spec_helper.rb"]
  s.homepage = %q{https://github.com/NationalSecurityAgency/rubygem-simp-cli}
  s.licenses = ["Apache-2.0"]
  s.require_paths = ["lib"]
  s.requirements = ["SIMP OS installation"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{a cli interface to configure/manage SIMP}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<highline>, ["~> 1.6", "> 1.6.1"])
      s.add_development_dependency(%q<rake>, ["~> 10"])
      s.add_development_dependency(%q<rspec>, ["~> 3"])
      s.add_development_dependency(%q<rspec-its>, ["~> 1"])
      s.add_development_dependency(%q<listen>, ["~> 3.0.0"])
      s.add_development_dependency(%q<guard>, ["~> 2"])
      s.add_development_dependency(%q<guard-shell>, ["~> 0"])
      s.add_development_dependency(%q<guard-rspec>, ["~> 4"])
      s.add_development_dependency(%q<pry>, ["~> 0"])
      s.add_development_dependency(%q<pry-doc>, ["~> 0"])
      s.add_development_dependency(%q<dotenv>, ["~> 1"])
      s.add_development_dependency(%q<rubocop>, ["~> 0.29"])
    else
      s.add_dependency(%q<highline>, ["~> 1.6", "> 1.6.1"])
      s.add_dependency(%q<rake>, ["~> 10"])
      s.add_dependency(%q<rspec>, ["~> 3"])
      s.add_dependency(%q<rspec-its>, ["~> 1"])
      s.add_dependency(%q<listen>, ["~> 3.0.0"])
      s.add_dependency(%q<guard>, ["~> 2"])
      s.add_dependency(%q<guard-shell>, ["~> 0"])
      s.add_dependency(%q<guard-rspec>, ["~> 4"])
      s.add_dependency(%q<pry>, ["~> 0"])
      s.add_dependency(%q<pry-doc>, ["~> 0"])
      s.add_dependency(%q<dotenv>, ["~> 1"])
      s.add_dependency(%q<rubocop>, ["~> 0.29"])
    end
  else
    s.add_dependency(%q<highline>, ["~> 1.6", "> 1.6.1"])
    s.add_dependency(%q<rake>, ["~> 10"])
    s.add_dependency(%q<rspec>, ["~> 3"])
    s.add_dependency(%q<rspec-its>, ["~> 1"])
    s.add_dependency(%q<listen>, ["~> 3.0.0"])
    s.add_dependency(%q<guard>, ["~> 2"])
    s.add_dependency(%q<guard-shell>, ["~> 0"])
    s.add_dependency(%q<guard-rspec>, ["~> 4"])
    s.add_dependency(%q<pry>, ["~> 0"])
    s.add_dependency(%q<pry-doc>, ["~> 0"])
    s.add_dependency(%q<dotenv>, ["~> 1"])
    s.add_dependency(%q<rubocop>, ["~> 0.29"])
  end
end
